#!/bin/sh

HOME=/Users/carrasco/Desktop/IshaData
wgrib=$HOME/wgrib
wgrib2hsa=$HOME/wgrib2hsa.pl

files=$*

for file in $files
do
  echo "opening" $file
#  $wgrib -s $file | grep ":PRMSL:" | $wgrib -i -text $file -o $file.PRMSL.txt
  $wgrib -d 20 $file -text -o $file.PRMSL.txt
#  $wgrib -s $file | grep ":TMP:sfc:" | $wgrib -i -text $file -o $file.TMPsfc.txt
  $wgrib -d 5 $file -text -o $file.TMPsfc.txt
#  $wgrib -s $file | grep ":RH:1000 mb:" | $wgrib -i -text $file -o $file.RH.txt
  $wgrib -d 85 $file -text -o $file.RH.txt
#  $wgrib -s $file | grep ":HGT:1000 mb:" | $wgrib -i -text $file -o $file.HGT.txt
  $wgrib -d 105 $file -text -o $file.HGT.txt
#  $wgrib -s $file | grep ":UGRD:35 m above gnd:" | $wgrib -i -text $file -o $file.UGRD.txt
  $wgrib -d 3 $file -text -o $file.UGRD.txt
#  $wgrib -s $file | grep ":VGRD:35 m above gnd:" | $wgrib -i -text $file -o $file.VGRD.txt
  $wgrib -d 4 $file -text -o $file.VGRD.txt

  $wgrib -V -d 20 $file > $file.spec.txt; rm dump

  $wgrib2hsa $file

  rm $file.*.txt
  mv $file.ALLF.hsa $file.lf
done
